Bug 203250 - s-c-d dual head incorrect screen detection with two radeon cards installed
s-c-d dual head incorrect screen detection with two radeon cards installed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 15:39 EDT by Clyde E. Kunkel
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 06:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2006-08-19 15:39:34 EDT
Description of problem:
In setting up dual head with two radeon cards--radeon 9200 AGP and radeon 9200SE
PCI--s-c-d assigns screen 1 vice screen 0 to second card.

Version-Release number of selected component (if applicable):
system-config-display-1.0.41-1

How reproducible:
every time s-c-d used to configure dual head

Steps to Reproduce:
1. Completely up-to-date rawhide system
2. as root, system-config-display
3. select dual head tab
4. check dual head
5. configure monitor
6. close s-c-d
7. logoff
8. c-a-bs to restart x

  
Actual results:

No dual head

Expected results:

Identify the display attached to second radeon card as screen 0, vice screen 1. 

Additional info:

Original device section for the radeon 9200SE PCI has screen identified as 1 and
in the server layout the same.  Changed to screen 0 and then both displays came
up.  HOWEVER, could not mouse over to right hand screen.  So, in server layout,
changed clone option to off and, deleted all freestanding 0's, and set screen1
Rightof screen0 and then mouse would move to second screen.

Original server layout:
Section "ServerLayout"
	Identifier     "Multihead layout"
	Screen      0  "Screen0" LeftOf "Screen1"
	Screen      1  "Screen1" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	Option	    "Xinerama" "off"
	Option	    "Clone" "on"
EndSection

Revised server layout:
Section "ServerLayout"
	Identifier     "Multihead layout"
	Screen         "Screen0" 
	Screen         "Screen1" RightOf "Screen0"
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	Option	    "Xinerama" "off"
	Option	    "Clone" "off"
EndSection
Comment 1 Clyde E. Kunkel 2006-09-14 13:36:53 EDT
With fresh install of FC6T3, problem still exists.  Manual workaround still works.
Comment 2 Matěj Cepl 2007-09-11 20:34:26 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 3 Clyde E. Kunkel 2007-09-11 22:28:11 EDT
I no longer have a dual head configuration to test on.  Sorry.
Comment 4 Matěj Cepl 2007-09-12 06:05:49 EDT
Thanks for letting us know. Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.